---
title: "Update Lodgement Application Attribute"
url: "https://developer.pexa.co.uk/apis/lodgement-v2-v2/versions/533c1263-195b-449f-a7da-afa5f3211cc2/operations/updateApplicationAttributes"
---

> Full API specification: https://developer.pexa.co.uk/apis/lodgement-v2-v2/versions/533c1263-195b-449f-a7da-afa5f3211cc2.md

# Update Lodgement Application Attribute

`PATCH` `/partner/api/platformconnect/v2/lodgement-cases/{lodgement_case_id}/applications/{application_id}`

Operation ID: `updateApplicationAttributes`

This API is used to update the attribute values for a given lodgement application id. Additionally, this version also supports Conveyancer Certified Electronic Signature.

## Path parameters

- `lodgement_case_id` (string, uuid, required) - Lodgement case id
- `application_id` (string, uuid, required) - Application id

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Request body (required)

Content types: `application/json`

## Responses

- `200` - OK
- `400` - BAD REQUEST
- `404` - NOT FOUND
- `500` - INTERNAL SERVER ERROR
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Lodgement
  version: v2
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v2/lodgement-cases/{lodgement_case_id}/applications/{application_id}:
    patch:
      tags:
        - lodgementApplicationV2
      summary: Update Lodgement Application Attribute
      description: This API is used to update the attribute values for a given
        lodgement application id. Additionally, this version also supports
        Conveyancer Certified Electronic Signature.
      operationId: updateApplicationAttributes
      security:
        - oauth2:
            - x-api:edit:lodgement_applications
            - edit:lodgement_documents
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: lodgement_case_id
          in: path
          description: Lodgement case id
          required: true
          schema:
            type: string
            format: uuid
        - name: application_id
          in: path
          description: Application id
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                transactionValue:
                  type: number
                  example: 100
                mortgageDeedReference:
                  type: string
                  example: DN100
                mortgageDeedReferenceType:
                  type: string
                  pattern: ^(STANDARD|DIGITAL)$
                  example: STANDARD
                  description: |
                    Allowed values:
                      [`STANDARD`, `DIGITAL`]
                signature:
                  type: object
                  required:
                    - format
                    - type
                  properties:
                    format:
                      type: string
                      pattern: ^(MANUAL|ELECTRONIC)$
                    type:
                      type: string
                      pattern: ^(WET_INK_SIGNATURE|CONVEYANCER_CERTIFIED_ELECTRONIC_SIGNATURE|ADVANCED_ELECTRONIC_SIGNATURE)$
                isEffective:
                  type: boolean
                  example: true
                considerationType:
                  type: string
                  pattern: ^(MONETARY_CONSIDERATION|NO_MONETARY_CONSIDERATION|TRANSFER_OF_MATRIMONIAL_OR_CIVIL_PARTNERSHIP_HOME)$
                  description: >
                    Allowed values: [`MONETARY_CONSIDERATION`,
                    `NO_MONETARY_CONSIDERATION`,
                    `TRANSFER_OF_MATRIMONIAL_OR_CIVIL_PARTNERSHIP_HOME`]
                  example: MONETARY_CONSIDERATION
        required: true
      responses:
        "200":
          description: OK
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  applicationId:
                    type: string
                    format: uuid
                    readOnly: true
                  applicationType:
                    type: string
                    example: MORTGAGE_DEED
                  status:
                    readOnly: true
                    type: string
                  submittedAt:
                    type: string
                    format: date-time
                  submittedBy:
                    type: string
                  auditAttributes:
                    type: object
                    properties:
                      createdAt:
                        type: string
                        format: date-time
                      createdBy:
                        type: string
                      lastModifiedAt:
                        type: string
                        format: date-time
                      lastModifiedBy:
                        type: string
                  attributes:
                    oneOf:
                      - allOf:
                          - type: object
                            properties:
                              applicationType:
                                type: string
                            discriminator:
                              propertyName: applicationType
                              mapping:
                                MORTGAGE_DEED: MortgageDeedAttributesV2
                                CHANGE_OF_NAME: ChangeOfNameDocumentAttributesV2
                                TRANSFER_OF_WHOLE: TransferOfWholeAttributesV2
                          - type: object
                        type: object
                        properties:
                          transactionValue:
                            type: number
                            example: 100
                          landRegistryFee:
                            type: number
                            example: 100
                            readOnly: true
                          certificationType:
                            type: string
                            pattern: (CERTIFIED|ORIGINAL|SCANNED)
                            example: CERTIFIED
                            description: >
                              Allowed values: [`CERTIFIED`, `ORIGINAL`,
                              `SCANNED`]
                          mortgageDeedReference:
                            type: string
                            example: DN100
                          mortgageDeedReferenceType:
                            type: string
                            pattern: ^(STANDARD|DIGITAL)$
                            example: STANDARD
                            description: |
                              Allowed values:
                                [`STANDARD`, `DIGITAL`]
                          isEffective:
                            type: boolean
                            example: true
                          signature:
                            type: object
                            required:
                              - format
                              - type
                            properties:
                              format:
                                type: string
                                pattern: ^(MANUAL|ELECTRONIC)$
                              type:
                                type: string
                                pattern: ^(WET_INK_SIGNATURE|CONVEYANCER_CERTIFIED_ELECTRONIC_SIGNATURE|ADVANCED_ELECTRONIC_SIGNATURE)$
                      - allOf:
                          - type: object
                            properties:
                              applicationType:
                                type: string
                            discriminator:
                              propertyName: applicationType
                              mapping:
                                MORTGAGE_DEED: MortgageDeedAttributesV2
                                CHANGE_OF_NAME: ChangeOfNameDocumentAttributesV2
                                TRANSFER_OF_WHOLE: TransferOfWholeAttributesV2
                          - type: object
                        type: object
                        properties:
                          transactionValue:
                            type: number
                            example: 100
                          landRegistryFee:
                            type: number
                            example: 100
                            readOnly: true
                          certificationType:
                            type: string
                            pattern: (CERTIFIED|ORIGINAL|SCANNED)
                            example: CERTIFIED
                            description: >
                              Allowed values: [`CERTIFIED`, `ORIGINAL`,
                              `SCANNED`]
                          considerationType:
                            type: string
                            pattern: ^(MONETARY_CONSIDERATION|NO_MONETARY_CONSIDERATION|TRANSFER_OF_MATRIMONIAL_OR_CIVIL_PARTNERSHIP_HOME)$
                            description: |
                              Allowed values: [`MONETARY_CONSIDERATION`, `NO_MONETARY_CONSIDERATION`, `TRANSFER_OF_MATRIMONIAL_OR_CIVIL_PARTNERSHIP_HOME`]
                            example: MONETARY_CONSIDERATION
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Bad Request
        "404":
          description: NOT FOUND
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Not Found
        "500":
          description: INTERNAL SERVER ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Internal Server Error
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - x-api:edit:lodgement_applications
      - edit:lodgement_documents
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:view:lodgement_summary: View lodgement summary
            x-api:edit:lodgement_applications: Edit lodgement applications
            edit:lodgement_documents: Edit lodgement documents
            view:lodgement_cases: View lodgement cases
            view:lodgement_documents: View lodgement documents
            view:lodgement_titles: View lodgement titles
```
